Package org.apache.synapse.transport.nhttp

## Class HttpCoreRequestResponseTransport

- java.lang.Object
- - org.apache.synapse.transport.nhttp.HttpCoreRequestResponseTransport

- All Implemented Interfaces:
    `org.apache.axis2.transport.RequestResponseTransport`

      public class HttpCoreRequestResponseTransport
      extends Object
      implements org.apache.axis2.transport.RequestResponseTransport

  This interface is a point of control for Axis2 to control the behaviour of a Request-Response transport such as HTTP/s For nhttp, this does not make much of a difference, as we are capable of keeping a socket open and writing to it from a different thread, while letting the initial thread that read the request go free.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.axis2.transport.RequestResponseTransport

      `org.apache.axis2.transport.RequestResponseTransport.RequestResponseTransportStatus`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.axis2.transport.RequestResponseTransport

      `HOLD_RESPONSE, TRANSPORT_CONTROL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpCoreRequestResponseTransport​(org.apache.axis2.context.MessageContext msgContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `acknowledgeMessage​(org.apache.axis2.context.MessageContext msgContext)` |
    `void` | `awaitResponse()` |
    `org.apache.axis2.transport.RequestResponseTransport.RequestResponseTransportStatus` | `getStatus()` |
    `boolean` | `isResponseWritten()` |
    `void` | `setResponseWritten​(boolean responseWritten)` |
    `void` | `signalFaultReady​(org.apache.axis2.AxisFault fault)` |
    `void` | `signalResponseReady()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpCoreRequestResponseTransport

          public HttpCoreRequestResponseTransport​(org.apache.axis2.context.MessageContext msgContext)

  - ### Method Detail

    - #### acknowledgeMessage

          public void acknowledgeMessage​(org.apache.axis2.context.MessageContext msgContext)
                                  throws org.apache.axis2.AxisFault

      Specified by:
        `acknowledgeMessage` in interface `org.apache.axis2.transport.RequestResponseTransport`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### awaitResponse

          public void awaitResponse()
                             throws InterruptedException,
                                    org.apache.axis2.AxisFault

      Specified by:
        `awaitResponse` in interface `org.apache.axis2.transport.RequestResponseTransport`
      Throws:
        `InterruptedException`
        `org.apache.axis2.AxisFault`

    - #### signalResponseReady

          public void signalResponseReady()

      Specified by:
        `signalResponseReady` in interface `org.apache.axis2.transport.RequestResponseTransport`

    - #### getStatus

          public org.apache.axis2.transport.RequestResponseTransport.RequestResponseTransportStatus getStatus()

      Specified by:
        `getStatus` in interface `org.apache.axis2.transport.RequestResponseTransport`

    - #### signalFaultReady

          public void signalFaultReady​(org.apache.axis2.AxisFault fault)

      Specified by:
        `signalFaultReady` in interface `org.apache.axis2.transport.RequestResponseTransport`

    - #### isResponseWritten

          public boolean isResponseWritten()

      Specified by:
        `isResponseWritten` in interface `org.apache.axis2.transport.RequestResponseTransport`

    - #### setResponseWritten

          public void setResponseWritten​(boolean responseWritten)

      Specified by:
        `setResponseWritten` in interface `org.apache.axis2.transport.RequestResponseTransport`